# FxEngine

FxEngine is an librairie overlay based on gint designed to provide more
game-oriented commands, such as a 3D engine, which is actually in 
developement. That library is made for fx9860G calculators.

This project is linked the [1v13d](/Milang/1v13d) project.

## Installation

### Dependencies

A GNU/Linux distibution.

The [gint kernel](/Lephenixnoir/gint), made by lephenixnoir.

The [fxSDK](/Lephenixnoir/fxsdk), designed for gint usage.

The GCC toolchain for sh3eb-elf architecture. (with binutils of course)

### Install the fxengine lib

In a terminal, type the following commands :
```sh
make

make install # you may use sudo if the compiler's folder has restricted rights
```

### Remove lib

Just type this :
```sh
make clear # you may use sudo if the compiler's folder has restricted rights
```

### Upgrade

I recommend to remove and reinstall, but reinstall may work too.

## Use

All the headers are in the <fxengine/[...]> folder
When you create a new project with the fxsdk, you have to change a line in the Makefile :
Just replace
```sh
lf-fx     := $(LDFLAGS) -Tfx9860g.ld -lgint-fx -lgcc -Wl,-Map=build-fx/map
```
by
```sh
lf-fx     := $(LDFLAGS) -Tfx9860g.ld -lfxengine -lgint-fx -lgcc -Wl,-Map=build-fx/map
```
It simply adds to linker flags the fxengine lib.

### Example :

If you want to use keyboard event gestion, just do

```c
#include <fxengine/event/keyboard.h>
```
For questions, you can look at the headers, which can be found as well in <include/[...]> in the git folder.
I am wrinting some documentation, and you can ask some questions on planet-casio.com/Fr/